Issue 100434 - selection window icons difficult to recognize with dark theme
Summary: selection window icons difficult to recognize with dark theme
Status: CONFIRMED
Alias: None
Product: Math
Classification: Application
Component: ui (show other issues)
Version: OOo 3.0.1
Hardware: Unknown All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL: https://bugs.launchpad.net/bugs/327996
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-21 03:04 UTC by ccheney
Modified: 2013-08-07 14:54 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description ccheney 2009-03-21 03:04:18 UTC
1. Use a dark gtk theme
2. Open Writer
3. Insert->Object->Formula
4. Notice 'Selection' window is unusable since it is black text on dark background

Screenshot of issue:
http://launchpadlibrarian.net/22495774/Capture.png

Verified on official OOo 3.0.1
Comment 1 michael.ruess 2009-03-24 21:55:36 UTC
MRU->TL: when using e.g. "Dark room" theme on Ubuntu, the characters in the
selection window of OO Math are difficult to recognize. Could you please have a
look, if this is a general problem of the Selection toolbox or if the OpenSymbol
font could be the reason?
Comment 2 thomas.lange 2009-04-03 08:34:05 UTC
The font can't be a reason since the entries displayed in that toolbox window
are png images.
Comment 3 thomas.lange 2009-04-06 10:43:12 UTC
TL->STS: I've confirmed with HDU that this is a problem with the png images used
in that toolbox. For example in the screen shot you can see that one icon is
fine in and all the others are not. It seems that most of them need to be
reworked. Please take over. Thanks!

If you need a complete list of images used in that toolbox drop me a note and I
will find where they are coming from.
Comment 4 stella.schulze 2009-04-06 11:10:49 UTC
STS -> TL:
The default icons theme isn’t designed for dark background colors.
If you like to have dark background UI, you could swich to the "High Contast" Iocn Theme. 

The "High Contrast" icons theme is designed for dark backgrounds only:
http://wiki.services.openoffice.org/wiki/Icon_Themes#High_Contrast


Comment 5 stella.schulze 2009-08-13 11:29:47 UTC
hi malte,

this looks like an accessibility issue.

the Office UI should switch automatically to "high contrast" icon theme in this case.
Comment 6 malte_timmermann 2009-08-13 13:01:06 UTC
mt->tl: Most VCL controls allow you to set the HC images in parallel to the
normal images.

Not sure what kind of control you are using: If you draw the images on your own,
you need to take care yourself for drawing a HC version. Otherwise it seems you
forgot to set the HC images. On question about how to set the images or where to
find the HC versions, PL or CD should be able to help you.

Please try to fix in OOo 3.2, because we want to address as many accessibility
issues as possible there.
Comment 7 thomas.lange 2009-08-13 13:22:28 UTC
TL->MT: After the comment from Stella PL and I agreed that everything will
probably be fine automatically once the issue 35482 in CWS changehc is fixed.
That's why this issue is currently also added to that CWS.
Comment 8 philipp.lohmann 2009-09-01 11:42:22 UTC
please verify if this is fixed in CWS changehc; if not, please retarget to 3.3
and it will go into the followup CWS.
Comment 9 philipp.lohmann 2009-09-01 11:52:04 UTC
fixed ?
Comment 10 philipp.lohmann 2009-09-01 14:14:57 UTC
not fixed
Comment 11 philipp.lohmann 2009-09-01 14:17:11 UTC
pl->sts: from the looks of it, the Formula elements toolbox does not contain
high contrast themed images. This either means there are none, or they are not
taken. Can you please verify if there are HC icons or no ? If there are, then
please forward this to cd who would have to look, why that toolbar does not take
the HC icon set when all other toolbars do.
Comment 12 stella.schulze 2009-09-10 12:08:43 UTC
STS -> TL: please check the high contrast icons for math. all icon should have an high contrast version, 
too.
Comment 13 thomas.lange 2009-09-10 13:21:33 UTC
tl->sts: sure they have. For example in default_images/starmath/res/unh*.png.
Al of those toolbar icons have hi-contrast images. 

But looking at those images with windows picture and fax viewer I wonder if some
of them might be broken. For example un21221.png looks fine in normal mode but
not in slide show mode. And with unh21201.png it is the opposite.
All viewed with a 'regular' non hi-contrast windows setting.
Any idea?

Sidenote: BTW I just heard that Oliver Bohn programmtically changed all
hi-contrast images to use less colors if they not already did.


Comment 14 thomas.lange 2009-09-10 13:23:56 UTC
.
Comment 15 malte_timmermann 2009-12-03 11:24:21 UTC
MT->ES: Please check if this one is fixed with changehc / OOo320m59
Comment 16 philipp.lohmann 2009-12-03 11:33:54 UTC
I'd be suprised if it were. changehc02 replaced Color.IsDark() with 
GetStyleSettings().IsHighContrastMode(). If anything, it's now easier to meet
dark icons with a dark background - that was the intent after all since users
complained that they got HC icons on their dark themes.
Comment 17 eric.savary 2009-12-16 17:13:09 UTC
@TL: still reproducible.

Switching to the high contrast theme (under Tools - Options) still has no effect
on this toolbar.
Comment 18 malte_timmermann 2010-04-28 08:54:03 UTC
mt->pl: As discussed, please have a look at this.
Comment 19 philipp.lohmann 2010-04-30 15:42:08 UTC
Observation 1: "Dark Room" is not a dark theme, not by our Standards.
Color.IsDark() returns "TRUE" for a luminance of 38 (of 255) or less. "Dark
Rooms" dark color is 0x4c4039, which is dark, but has a higher luminance
obviously. So it is technically correct, that HighContrast autodetection returns
"no high contrast".

-> that means that the normal icon set is used without user intervention is
correct. As sts mentioned, these icons are not designed for a dark background.
Which you can see everywhere, no only in math's picker.

Observation 2: Switching the icon theme in "Tools->Options->View" indeed is not
working immediately in math's formula elements picker, the new set is only used
after it is closed an opened again.

My conclusion is, that this is not an accessibility issue (removing keyword).
And short of a redesign of the Galaxy icon set, the only bug left here is that
the window in question does not react to changing the icon theme on the fly like
all other toolbars do.

Back to the owner of that math window.